[package]
name = "guntrader"
version = "0.1.0"
authors = ["Johann Woelper <woelper@gmail.com>"]
edition = "2018"
default-run = "guntrader"

[dependencies]
reqwest = "0.9.18"
select = "0.4.2"
chrono = { version = "0.4", features = ["serde"] }
parse_duration = "1.0.1"
serde = "1.0"
serde_derive = "1.0"
serde_json = "1.0"
rocket = "0.4.1"
lazy_static = "*"
url = "*"
urldecode = "0.1.1"

[dependencies.rocket_contrib]
version = "0.4.1"
default-features = false
features = ["json", "serve"]

[[bin]]
name = "guntrader"
path = "src/main.rs"

[[bin]]
name = "test"
path = "src/test.rs"